Bug 127020 - Dell PowerEdge 750 with CERC SATA controller hangs with new 2.6.6 kernel
Dell PowerEdge 750 with CERC SATA controller hangs with new 2.6.6 kernel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-30 14:29 EDT by Need Real Name
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:12:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-06-30 14:29:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
Upgrading kernels from kernel-2.6.5-1.358 to kernel-2.6.6-1.435 the
boot gets past "adding swap" then freezes and the box squeaks with a
really annoying high pitched tone which I think comes from the
controller.  Everything works fine when booted with the previous
kernel on the exact same machines.


Version-Release number of selected component (if applicable):
kernel-2.6.6-1.435

How reproducible:
Always

Steps to Reproduce:
1. yum update
2. reboot

Additional info:


Freezes with both SMP and NON-SMP kernels exactly the same.

Hardware is dell PowerEdge 750:

Intel Pentium 4 proc, 3.2GHz, 512K, 800MHz FSB
Dell CERC SATA RAID Controller, 64MB Cache
2x 80GB 7200 RPM SATA Hard Drive mirrored
Comment 1 Dave Jones 2004-11-27 15:21:57 EST
mass update for old bugs:

Is this still a problem with the 2.6.9 based update kernel ?
Comment 2 David Wilson 2004-12-03 22:26:08 EST
Yes, it is.
I installed FC2 on a PE750 last week when I found that FC3 could not
detect to the hard drives (RAID 1) on the CERC. I tried both the 2.6.8
and 2.6.9 FC2 kernels from updates and neither was able to access the
hard disk.
Comment 3 geoff papilion 2004-12-28 13:50:53 EST
I'm having the exact problem as well with the 2.6.9 kernel.

PE750
2.8 GHZ PIV
Dell Cerc SATA Raid 64MB cache
2x40 GB Drives (Mirrored) 

It mounts the / patition, enables the swap, hangs for a whilre, and
starts to boot. At this point its starts to compain about bad and
missing inodes. 

Its almost as if it has lost track of the drives.
Comment 4 geoff papilion 2004-12-28 19:48:06 EST
I found a workaround, and the cause of the problem.

In /etc/rc.sysinit if you comment out:

if [ -x /sbin/devlabel ]; then
        /sbin/devlabel restart
fi

Then, you'll have a system that works.

I'm not sure why devlabel is failing though. When I try it in
multiuser mode it gives errors about scsi_unique_id using SCSI ioctl
instead of SG_IO.

I've also created a patch.
Comment 5 Dave Jones 2005-04-16 01:12:40 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.